# Builds Object

> Source: https://truto.one/docs/api-reference/unified-ci-cd-api/builds/

Schema for the `Builds` resource in **Unified CI/CD API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the build
- **`name`** _(string)_
  The name of the build
- **`repo`** _(string)_
  The repository of the build
- **`branch`** _(string)_
  The head branch of the build
- **`commit`** _(string)_
  The head commit of the build
- **`trigger`** _(string)_
  The trigger for the build - push, merge_request, api, cron, web or the raw response from the API
- **`triggered_by`** _(string)_
  The actor who triggered the build
- **`triggered_by_type`** _(string)_
  The type of the actor who triggered the build - user, bot or raw response from the API
- **`conclusion`** _(string)_
  The conclusion of the build - passed, failed, cancelled, timeout, skipped, retried, partial or the raw response from the API
- **`workflow`** _(string)_
  The workflow's unique identifier in the CI/CD
- **`build`** _(string)_
  The build's unique identifier in the CI/CD
- **`status`** _(string)_
  The status of the build - queued, in_progress, completed or the raw response from the API
- **`created_at`** _(string)_
  The date and time when the build was created
- **`updated_at`** _(string)_
  The date and time when the build was last updated
- **`started_at`** _(string)_
  The date and time when the build started
- **`completed_at`** _(string)_
  The date and time when the build finished
- **`attempts`** _(integer)_
  The number of attempts for the build
- **`number`** _(integer)_
  The run number of the build
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ci-cd/builds](/docs/api-reference/unified-ci-cd-api/builds/list) — List Builds
- [GET /unified/ci-cd/builds/{id}](/docs/api-reference/unified-ci-cd-api/builds/get) — Get Builds
